UTURN(4) | Device Drivers Manual (hppa) | UTURN(4)

# NAME

`uturn` — U2/Uturn, Runway to GSC Bus I/O Adapter

# SYNOPSIS

`uturn* at mainbus?`
`astro* at uturn?`
`dino* at uturn?`
`lasi* at uturn?`
`sti* at uturn?`

# DESCRIPTION

`uturn` provides the functionality of an I/O Adapter (IOA) from the Runway CPU and memory bus to two GSC busses. Modern systems, based on the PA-8000 and later 64-bit CPUs, use the `U-Turn` version, whilst earlier systems, based on the PA-7200 CPU, used a different version of the chip called `U2`.

# SEE ALSO

hppa/astro(4), hppa/cpu(4), hppa/dino(4), hppa/gsc(4), hppa/intro(4), pci(4), sti(4)

# HISTORY

The `uturn` driver appeared in OpenBSD 3.7. It was ported to NetBSD 6.0 by Nick Hudson.

February 17, 2017 | NetBSD 10.99